| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
os_core.c File Reference
`#include <os.h>`

Go to the source code of this file.

## Macros
#define | MICRIUM_SOURCE

## Functions
void | OSInit (OS_ERR *p_err)
void | OSIntEnter (void)
void | OSIntExit (void)
void | OSSched (void)
void | OSSchedLock (OS_ERR *p_err)
void | OSSchedUnlock (OS_ERR *p_err)
void | OSStart (OS_ERR *p_err)
CPU_INT16U | OSVersion (OS_ERR *p_err)
void | OS_IdleTask (void *p_arg)
void | OS_IdleTaskInit (OS_ERR *p_err)
void | OS_Pend (OS_PEND_DATA *p_pend_data, OS_PEND_OBJ *p_obj, OS_STATE pending_on, OS_TICK timeout)
void | OS_PendAbort (OS_PEND_OBJ *p_obj, OS_TCB *p_tcb, CPU_TS ts)
void | OS_PendAbort1 (OS_PEND_OBJ *p_obj, OS_TCB *p_tcb, CPU_TS ts)
void | OS_PendDataInit (OS_TCB *p_tcb, OS_PEND_DATA *p_pend_data_tbl, OS_OBJ_QTY tbl_size)
void | OS_PendListChangePrio (OS_TCB *p_tcb, OS_PRIO prio_new)
void | OS_PendListInit (OS_PEND_LIST *p_pend_list)
void | OS_PendListInsertHead (OS_PEND_LIST *p_pend_list, OS_PEND_DATA *p_pend_data)
void | OS_PendListInsertPrio (OS_PEND_LIST *p_pend_list, OS_PEND_DATA *p_pend_data)
void | OS_PendListRemove (OS_TCB *p_tcb)
void | OS_PendListRemove1 (OS_PEND_LIST *p_pend_list, OS_PEND_DATA *p_pend_data)
void | OS_PendObjDel (OS_PEND_OBJ *p_obj, OS_TCB *p_tcb, CPU_TS ts)
void | OS_PendObjDel1 (OS_PEND_OBJ *p_obj, OS_TCB *p_tcb, CPU_TS ts)
void | OS_Post (OS_PEND_OBJ *p_obj, OS_TCB *p_tcb, void *p_void, OS_MSG_SIZE msg_size, CPU_TS ts)
void | OS_Post1 (OS_PEND_OBJ *p_obj, OS_TCB *p_tcb, void *p_void, OS_MSG_SIZE msg_size, CPU_TS ts)
void | OS_RdyListInit (void)
void | OS_RdyListInsert (OS_TCB *p_tcb)
void | OS_RdyListInsertHead (OS_TCB *p_tcb)
void | OS_RdyListInsertTail (OS_TCB *p_tcb)
void | OS_RdyListMoveHeadToTail (OS_RDY_LIST *p_rdy_list)
void | OS_RdyListRemove (OS_TCB *p_tcb)
void | OS_TaskBlock (OS_TCB *p_tcb, OS_TICK timeout)
void | OS_TaskRdy (OS_TCB *p_tcb)

## Macro Definition Documentation

#define MICRIUM_SOURCE

Definition at line 33 of file os_core.c.

## Function Documentation

void OS_IdleTask | ( | void * | p_arg | ) |

Definition at line 781 of file os_core.c.

void OS_IdleTaskInit | ( | OS_ERR * | p_err | ) |

Definition at line 816 of file os_core.c.

void OS_Pend | ( | OS_PEND_DATA * | p_pend_data,
|  | OS_PEND_OBJ * | p_obj,
|  | OS_STATE | pending_on,
|  | OS_TICK | timeout
| ) |  |

Definition at line 873 of file os_core.c.

void OS_PendAbort | ( | OS_PEND_OBJ * | p_obj,
|  | OS_TCB * | p_tcb,
|  | CPU_TS | ts
| ) |  |

Definition at line 927 of file os_core.c.

void OS_PendAbort1 | ( | OS_PEND_OBJ * | p_obj,
|  | OS_TCB * | p_tcb,
|  | CPU_TS | ts
| ) |  |

Definition at line 1033 of file os_core.c.

void OS_PendDataInit | ( | OS_TCB * | p_tcb,
|  | OS_PEND_DATA * | p_pend_data_tbl,
|  | OS_OBJ_QTY | tbl_size
| ) |  |

Definition at line 1098 of file os_core.c.

void OS_PendListChangePrio | ( | OS_TCB * | p_tcb,
|  | OS_PRIO | prio_new
| ) |  |

Definition at line 1276 of file os_core.c.

void OS_PendListInit | ( | OS_PEND_LIST * | p_pend_list | ) |

Definition at line 1319 of file os_core.c.

void OS_PendListInsertHead | ( | OS_PEND_LIST * | p_pend_list,
|  | OS_PEND_DATA * | p_pend_data
| ) |  |

Definition at line 1373 of file os_core.c.

void OS_PendListInsertPrio | ( | OS_PEND_LIST * | p_pend_list,
|  | OS_PEND_DATA * | p_pend_data
| ) |  |

Definition at line 1461 of file os_core.c.

void OS_PendListRemove | ( | OS_TCB * | p_tcb | ) |

Definition at line 1564 of file os_core.c.

void OS_PendListRemove1 | ( | OS_PEND_LIST * | p_pend_list,
|  | OS_PEND_DATA * | p_pend_data
| ) |  |

Definition at line 1639 of file os_core.c.

void OS_PendObjDel | ( | OS_PEND_OBJ * | p_obj,
|  | OS_TCB * | p_tcb,
|  | CPU_TS | ts
| ) |  |

Definition at line 1693 of file os_core.c.

void OS_PendObjDel1 | ( | OS_PEND_OBJ * | p_obj,
|  | OS_TCB * | p_tcb,
|  | CPU_TS | ts
| ) |  |

Definition at line 1795 of file os_core.c.

void OS_Post | ( | OS_PEND_OBJ * | p_obj,
|  | OS_TCB * | p_tcb,
|  | void * | p_void,
|  | OS_MSG_SIZE | msg_size,
|  | CPU_TS | ts
| ) |  |

Definition at line 1844 of file os_core.c.

void OS_Post1 | ( | OS_PEND_OBJ * | p_obj,
|  | OS_TCB * | p_tcb,
|  | void * | p_void,
|  | OS_MSG_SIZE | msg_size,
|  | CPU_TS | ts
| ) |  |

Definition at line 1970 of file os_core.c.

void OS_RdyListInit | ( | void |  | ) |

Definition at line 2040 of file os_core.c.

void OS_RdyListInsert | ( | OS_TCB * | p_tcb | ) |

Definition at line 2074 of file os_core.c.

void OS_RdyListInsertHead | ( | OS_TCB * | p_tcb | ) |

Definition at line 2141 of file os_core.c.

void OS_RdyListInsertTail | ( | OS_TCB * | p_tcb | ) |

Definition at line 2222 of file os_core.c.

void OS_RdyListMoveHeadToTail | ( | OS_RDY_LIST * | p_rdy_list | ) |

Definition at line 2299 of file os_core.c.

void OS_RdyListRemove | ( | OS_TCB * | p_tcb | ) |

Definition at line 2386 of file os_core.c.

void OS_TaskBlock | ( | OS_TCB * | p_tcb,
|  | OS_TICK | timeout
| ) |  |

Definition at line 2598 of file os_core.c.

void OS_TaskRdy | ( | OS_TCB * | p_tcb | ) |

Definition at line 2636 of file os_core.c.

void OSInit | ( | OS_ERR * | p_err | ) |

Definition at line 55 of file os_core.c.

void OSIntEnter | ( | void |  | ) |

Definition at line 266 of file os_core.c.

void OSIntExit | ( | void |  | ) |

Definition at line 300 of file os_core.c.

void OSSched | ( | void |  | ) |

Definition at line 387 of file os_core.c.

void OSSchedLock | ( | OS_ERR * | p_err | ) |

Definition at line 444 of file os_core.c.

void OSSchedUnlock | ( | OS_ERR * | p_err | ) |

Definition at line 505 of file os_core.c.

void OSStart | ( | OS_ERR * | p_err | ) |

Definition at line 706 of file os_core.c.

CPU_INT16U OSVersion | ( | OS_ERR * | p_err | ) |

Definition at line 745 of file os_core.c.